package com.chinaitop.depot.feign;

import com.chinaitop.depot.common.BasicStorehouseFeignClientFallback;
import com.chinaitop.depot.feign.vo.BasicEnum;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;

/**
 * basic store house feign client
 * @author aihua
 */
@FeignClient(name = "depot-basic", fallback = BasicStorehouseFeignClientFallback.class)
public interface BasicStorehouseFeignClient {

    /**
     * 查询仓房设计容量
     * @param storehouseId 仓房ID
     * @return 仓房的设计容量
     */
    @RequestMapping(value = "/Storehouse/getStoreDesignCapacityById", method = RequestMethod.GET)
    BigDecimal getStoreDesignCapacityById(@RequestParam("storehouseId") Integer storehouseId);

    /**
     * 从字典表查询字典数据
     * @param enumId 字典表ID
     * @return 字典表数据
     */
    @RequestMapping(value = "/Enum/findByEnum", method = RequestMethod.GET)
    BasicEnum findByEnum(@RequestParam("id") Integer enumId);

}
