package com.chinaitop.depot.grainSituationCard.mapper;

import com.chinaitop.depot.grainSituationCard.model.StorageGrainCard;
import com.chinaitop.depot.grainSituationCard.model.StorageGrainCardExample;
import com.chinaitop.depot.grainSituationCard.model.StorageGrainView;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface StorageGrainCardMapper {
    int countByExample(StorageGrainCardExample example);

    int deleteByExample(StorageGrainCardExample example);

    int deleteByPrimaryKey(String id);

    int insert(StorageGrainCard record);

    int insertSelective(StorageGrainCard record);

    List<StorageGrainCard> selectByExample(StorageGrainCardExample example);

    StorageGrainCard selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") StorageGrainCard record, @Param("example") StorageGrainCardExample example);

    int updateByExample(@Param("record") StorageGrainCard record, @Param("example") StorageGrainCardExample example);

    int updateByPrimaryKeySelective(StorageGrainCard record);

    int updateByPrimaryKey(StorageGrainCard record);

    List<StorageGrainView> selectGrainCardList(StorageGrainView storageGrainView);

    /**
     * 根据市级货位编码转库级数据(粮仓)
     *
     * @param hwbm
     * @return
     */
    StorageGrainCard selectConvertCfData(@Param("hwbm") String hwbm);

    /**
     * 根据市级货位编码转库级数据(油罐)
     *
     * @param hwbm
     * @return
     */
    StorageGrainCard selectConvertYgData(@Param("hwbm") String hwbm);

    /**
     * 获取已保存的入库批号
     *
     * @param map
     * @return
     */
    String getTgph(Map<String, Object> map);

    /**
     * 查询质量检验生产年度
     *
     * @param map
     * @return
     */
    List<Map<String, Object>> findQualityCheckScnd(Map<String, Object> map);

    Integer joinQualityCheckId(Map<String, Object> qualityCheck);

    void deleteQualityCheck(Map<String, Object> map1);

    void deleteQualityCheckInspection(Integer qualityCheckId);

    void deleteWaterDetailed(Map<String, Object> map2);

    void deleteTempCard(Map<String, Object> map4);

    void deleteDailyCheck(Map<String, Object> map5);

    /**
     * 查询油罐的自检数据
     * @param map
     * @return
     */
    List<Map<String, Object>> findQualityCheckInfo(Map<String, Object> map);

    Map<String, Object> findDictionaryData(@Param("qualitycheckId") Integer qualitycheckId);

    /**
     * 查询可用于匹配粮情卡的入库检验数据
     * @param map
     * @return
     */
    List<StorageGrainCard> quailtyCheckDataParmarkKey(Map<String, Object> map);
    
    /**
     * 修改一条自检数据的粮食性质
     */
    void updateQualitycheckHwxz(Map<String, Object> map);
}
