package com.chinaitop.depot.grainSituationCard.mapper;

import com.chinaitop.depot.grainSituationCard.model.StorageOverRunAlarm;
import com.chinaitop.depot.grainSituationCard.model.StorageOverRunAlarmView;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 库存超限告警mapper
 *
 * @author aihua
 */
public interface StorageOverRunAlarmMapper {
    /**
     * 根据组织机构ID查询库存超限告警
     *
     * @param orgId    组织机构ID
     * @return {@link StorageOverRunAlarmView} vo list
     */
    List<StorageOverRunAlarmView> selectAlarmList(@Param("orgId") String orgId);

    /**
     * 新增库存超限告警记录
     *
     * @param alarm {@link StorageOverRunAlarm} entity
     */
    void insertAlarm(StorageOverRunAlarm alarm);

    /**
     * 查询设计设计仓容
     *
     * @param storehouseId 仓房ID
     * @return 设计仓容
     */
    BigDecimal getStoreDesignCapacityById(Integer storehouseId);

    /**
     * 查询字典数据
     *
     * @param enumId 枚举值ID
     * @return 枚举名称
     */
    String findByEnum(Integer enumId);
}
