package com.chinaitop.depot.grainSituationCard.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageGrainCard {
    
	//业务字段
	private String lsxzzbdh;
	
	
	public String getLsxzzbdh() {
		return lsxzzbdh;
	}

	public void setLsxzzbdh(String lsxzzbdh) {
		this.lsxzzbdh = lsxzzbdh;
	}

	private String id;

    private String storehouseNum;

    private String warehouseNum;

    private String storehouseName;

    private String warehouseName;

    private String grainVarietyNum;

    private String grainVarietyName;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date acceptDate;

    private String checkTypeNum;

    private String checkTypeName;

    private String grainRemark;

    private String waterRemark;

    private String hwbm;

    private BigDecimal rksl;

    private String sfmc;

    private String scnd;

    private String tgph;

    private String orgId;

    private String flagType;

    private Integer storehouseId;

    private Integer warehouseId;

    private String spareOne;

    private String spareTwo;

    private String spareThree;

    private Integer spareFour;

    private Integer spareFive;

    private String sfgd;

    private Date gdsj;

    private Integer qualitycheckId;

    /**
     * 储存类型（01直储，02代储）
     */
    private String storeType;

    /**
     * 散存粮体积，最多三位小数
     */
    private BigDecimal looseGrainVolume;

    /**
     * 包存粮包数
     */
    private Integer grainPacks;

    /**
     * 粮权所属（01市粮食局，02当前粮库名称）
     */
    private String grainRights;

    /**
     * 备注
     */
    private String remark;

    /**
     * 粮情卡id(从表storage_temp_card列card_num使用关联)
     * @return id 粮情卡id(从表storage_temp_card列card_num使用关联)
     */
    public String getId() {
        return id;
    }

    /**
     * 粮情卡id(从表storage_temp_card列card_num使用关联)
     * @param id 粮情卡id(从表storage_temp_card列card_num使用关联)
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房编号
     * @return storehouse_num 仓房编号
     */
    public String getStorehouseNum() {
        return storehouseNum;
    }

    /**
     * 仓房编号
     * @param storehouseNum 仓房编号
     */
    public void setStorehouseNum(String storehouseNum) {
        this.storehouseNum = storehouseNum == null ? null : storehouseNum.trim();
    }

    /**
     * 货位编号
     * @return warehouse_num 货位编号
     */
    public String getWarehouseNum() {
        return warehouseNum;
    }

    /**
     * 货位编号
     * @param warehouseNum 货位编号
     */
    public void setWarehouseNum(String warehouseNum) {
        this.warehouseNum = warehouseNum == null ? null : warehouseNum.trim();
    }

    /**
     * 仓房名称
     * @return storehouse_name 仓房名称
     */
    public String getStorehouseName() {
        return storehouseName;
    }

    /**
     * 仓房名称
     * @param storehouseName 仓房名称
     */
    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName == null ? null : storehouseName.trim();
    }

    /**
     * 货位名称
     * @return warehouse_name 货位名称
     */
    public String getWarehouseName() {
        return warehouseName;
    }

    /**
     * 货位名称
     * @param warehouseName 货位名称
     */
    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName == null ? null : warehouseName.trim();
    }

    /**
     * 粮食品种编号
     * @return grain_variety_num 粮食品种编号
     */
    public String getGrainVarietyNum() {
        return grainVarietyNum;
    }

    /**
     * 粮食品种编号
     * @param grainVarietyNum 粮食品种编号
     */
    public void setGrainVarietyNum(String grainVarietyNum) {
        this.grainVarietyNum = grainVarietyNum == null ? null : grainVarietyNum.trim();
    }

    /**
     * 粮食品种名称
     * @return grain_variety_name 粮食品种名称
     */
    public String getGrainVarietyName() {
        return grainVarietyName;
    }

    /**
     * 粮食品种名称
     * @param grainVarietyName 粮食品种名称
     */
    public void setGrainVarietyName(String grainVarietyName) {
        this.grainVarietyName = grainVarietyName == null ? null : grainVarietyName.trim();
    }

    /**
     * 验收日期
     * @return accept_date 验收日期
     */
    public Date getAcceptDate() {
        return acceptDate;
    }

    /**
     * 验收日期
     * @param acceptDate 验收日期
     */
    public void setAcceptDate(Date acceptDate) {
        this.acceptDate = acceptDate;
    }

    /**
     * 验收类型编号
     * @return check_type_num 验收类型编号
     */
    public String getCheckTypeNum() {
        return checkTypeNum;
    }

    /**
     * 验收类型编号
     * @param checkTypeNum 验收类型编号
     */
    public void setCheckTypeNum(String checkTypeNum) {
        this.checkTypeNum = checkTypeNum == null ? null : checkTypeNum.trim();
    }

    /**
     * 验收类型名称
     * @return check_type_name 验收类型名称
     */
    public String getCheckTypeName() {
        return checkTypeName;
    }

    /**
     * 验收类型名称
     * @param checkTypeName 验收类型名称
     */
    public void setCheckTypeName(String checkTypeName) {
        this.checkTypeName = checkTypeName == null ? null : checkTypeName.trim();
    }

    /**
     * 温度测量发现问题及处理意见
     * @return grain_remark 温度测量发现问题及处理意见
     */
    public String getGrainRemark() {
        return grainRemark;
    }

    /**
     * 温度测量发现问题及处理意见
     * @param grainRemark 温度测量发现问题及处理意见
     */
    public void setGrainRemark(String grainRemark) {
        this.grainRemark = grainRemark == null ? null : grainRemark.trim();
    }

    /**
     * 水分检验发现问题及处理意见
     * @return water_remark 水分检验发现问题及处理意见
     */
    public String getWaterRemark() {
        return waterRemark;
    }

    /**
     * 水分检验发现问题及处理意见
     * @param waterRemark 水分检验发现问题及处理意见
     */
    public void setWaterRemark(String waterRemark) {
        this.waterRemark = waterRemark == null ? null : waterRemark.trim();
    }

    /**
     * 市平台货位编码
     * @return hwbm 市平台货位编码
     */
    public String getHwbm() {
        return hwbm;
    }

    /**
     * 市平台货位编码
     * @param hwbm 市平台货位编码
     */
    public void setHwbm(String hwbm) {
        this.hwbm = hwbm == null ? null : hwbm.trim();
    }

    /**
     * 入库数量
     * @return rksl 入库数量
     */
    public BigDecimal getRksl() {
        return rksl;
    }

    /**
     * 入库数量
     * @param rksl 入库数量
     */
    public void setRksl(BigDecimal rksl) {
        this.rksl = rksl;
    }

    /**
     * 是否满仓 入库(0:否,1:是).倒仓,移库(2:表示倒仓移库数据).
     * @return sfmc 是否满仓 入库(0:否,1:是).倒仓,移库(2:表示倒仓移库数据).
     */
    public String getSfmc() {
        return sfmc;
    }

    /**
     * 是否满仓 入库(0:否,1:是).倒仓,移库(2:表示倒仓移库数据).
     * @param sfmc 是否满仓 入库(0:否,1:是).倒仓,移库(2:表示倒仓移库数据).
     */
    public void setSfmc(String sfmc) {
        this.sfmc = sfmc == null ? null : sfmc.trim();
    }

    /**
     * 生产年度
     * @return scnd 生产年度
     */
    public String getScnd() {
        return scnd;
    }

    /**
     * 生产年度
     * @param scnd 生产年度
     */
    public void setScnd(String scnd) {
        this.scnd = scnd == null ? null : scnd.trim();
    }

    /**
     * 审批通过批号,(入库接收分批数据(使用生产年度和是否满仓区分是否一批数据),倒仓,移库(使用批号) 一批数据.)
     * @return tgph 审批通过批号,(入库接收分批数据(使用生产年度和是否满仓区分是否一批数据),倒仓,移库(使用批号) 一批数据.)
     */
    public String getTgph() {
        return tgph;
    }

    /**
     * 审批通过批号,(入库接收分批数据(使用生产年度和是否满仓区分是否一批数据),倒仓,移库(使用批号) 一批数据.)
     * @param tgph 审批通过批号,(入库接收分批数据(使用生产年度和是否满仓区分是否一批数据),倒仓,移库(使用批号) 一批数据.)
     */
    public void setTgph(String tgph) {
        this.tgph = tgph == null ? null : tgph.trim();
    }

    /**
     * 组织机构编码
     * @return org_id 组织机构编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构编码
     * @param orgId 组织机构编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 标记类型(保存:1,提交:2),关联表保持同步更新.
     * @return flag_type 标记类型(保存:1,提交:2),关联表保持同步更新.
     */
    public String getFlagType() {
        return flagType;
    }

    /**
     * 标记类型(保存:1,提交:2),关联表保持同步更新.
     * @param flagType 标记类型(保存:1,提交:2),关联表保持同步更新.
     */
    public void setFlagType(String flagType) {
        this.flagType = flagType == null ? null : flagType.trim();
    }

    /**
     * 关联(basic_storehouse 表storehouse_id)
     * @return storehouse_id 关联(basic_storehouse 表storehouse_id)
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * 关联(basic_storehouse 表storehouse_id)
     * @param storehouseId 关联(basic_storehouse 表storehouse_id)
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * 关联(basic_warehouse 表warehouse_id)
     * @return warehouse_id 关联(basic_warehouse 表warehouse_id)
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 关联(basic_warehouse 表warehouse_id)
     * @param warehouseId 关联(basic_warehouse 表warehouse_id)
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_one 备用字段(以用修改注释)
     */
    public String getSpareOne() {
        return spareOne;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareOne 备用字段(以用修改注释)
     */
    public void setSpareOne(String spareOne) {
        this.spareOne = spareOne == null ? null : spareOne.trim();
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_two 备用字段(以用修改注释)
     */
    public String getSpareTwo() {
        return spareTwo;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareTwo 备用字段(以用修改注释)
     */
    public void setSpareTwo(String spareTwo) {
        this.spareTwo = spareTwo == null ? null : spareTwo.trim();
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_three 备用字段(以用修改注释)
     */
    public String getSpareThree() {
        return spareThree;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareThree 备用字段(以用修改注释)
     */
    public void setSpareThree(String spareThree) {
        this.spareThree = spareThree == null ? null : spareThree.trim();
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_four 备用字段(以用修改注释)
     */
    public Integer getSpareFour() {
        return spareFour;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareFour 备用字段(以用修改注释)
     */
    public void setSpareFour(Integer spareFour) {
        this.spareFour = spareFour;
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_five 备用字段(以用修改注释)
     */
    public Integer getSpareFive() {
        return spareFive;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareFive 备用字段(以用修改注释)
     */
    public void setSpareFive(Integer spareFive) {
        this.spareFive = spareFive;
    }

    /**
     * 是否归档
     * @return
     */
	public String getSfgd() {
		return sfgd;
	}

	/**
	 * 是否归档
	 * @param sfgd
	 */
	public void setSfgd(String sfgd) {
		this.sfgd = sfgd;
	}

	/**
     * 归档时间
     * @return
     */
	public Date getGdsj() {
		return gdsj;
	}

	/**
     * 归档时间
     * @param
     */
	public void setGdsj(Date gdsj) {
		this.gdsj = gdsj;
	}

    public String getStoreType() {
        return storeType;
    }

    public void setStoreType(String storeType) {
        this.storeType = storeType;
    }

    public BigDecimal getLooseGrainVolume() {
        return looseGrainVolume;
    }

    public void setLooseGrainVolume(BigDecimal looseGrainVolume) {
        this.looseGrainVolume = looseGrainVolume;
    }

    public Integer getGrainPacks() {
        return grainPacks;
    }

    public void setGrainPacks(Integer grainPacks) {
        this.grainPacks = grainPacks;
    }

    public String getGrainRights() {
        return grainRights;
    }

    public void setGrainRights(String grainRights) {
        this.grainRights = grainRights;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 关联的自检数据ID
     * @return
     */
    public Integer getQualitycheckId() {
        return qualitycheckId;
    }

    /**
     * 关联的自检数据ID
     * @param qualitycheckId
     */
    public void setQualitycheckId(Integer qualitycheckId) {
        this.qualitycheckId = qualitycheckId;
    }
}
