package com.chinaitop.depot.grainSituationCard.service.impl;

import com.chinaitop.depot.grainSituationCard.mapper.StorageGrainCardMapper;
import com.chinaitop.depot.grainSituationCard.mapper.StorageOverDueAlarmMapper;
import com.chinaitop.depot.grainSituationCard.mapper.StorageOverRunAlarmMapper;
import com.chinaitop.depot.grainSituationCard.model.StorageOverDueAlarmView;
import com.chinaitop.depot.grainSituationCard.model.StorageOverRunAlarmView;
import com.chinaitop.depot.grainSituationCard.service.StorageOverDueAlarmService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

/**
 * 库存超限告警实现类
 * @author aihua
 * @date 2022-04-15 21:09
 */
@Service
public class StorageOverDueAlarmServiceImpl implements StorageOverDueAlarmService {
    @Resource
    private StorageOverDueAlarmMapper storageOverDueAlarmMapper;
    @Resource
    private StorageGrainCardMapper grainCardMapper;
    @Resource
    private StorageOverRunAlarmMapper storageOverRunAlarmMapper;
    /**
     * 查询库存超限告警列表
     * @param orgId 组织机构ID
     * @return {@link StorageOverRunAlarmView} vo list
     */
    @Override
    public List<StorageOverDueAlarmView> getAlarmList(String orgId) {
        List<StorageOverDueAlarmView> list =  storageOverDueAlarmMapper.selectAlarmList(orgId);
        list.forEach(item -> {
            if(StringUtils.contains(item.getGrainOilName(),"小麦")){
                item.setLimitYear(4);
            }
            else {
                item.setLimitYear(3);
            }
        });
        return list;
    }


    /**
     * 查询设计设计仓容
     * @param storehouseId 仓房ID
     * @return 设计仓容
     */
    @Override
    public BigDecimal getStoreDesignCapacityById(Integer storehouseId) {
       // return storageOverRunAlarmMapper.getStoreDesignCapacityById(storehouseId);
        return null;
    }

    /**
     * 查询字典数据
     * @param enumId 枚举值ID
     * @return 枚举名称
     */
    @Override
    public String findByEnum(Integer enumId) {
       // return storageOverRunAlarmMapper.findByEnum(enumId);
        return  null;
    }
}
