package com.chinaitop.depot.grainSituationCard.service.impl;

import java.util.List;

import javax.annotation.Resource;

import com.chinaitop.depot.grainSituationCard.service.StorageGrainCardService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSONArray;
import com.chinaitop.depot.common.UuidUtils;
import com.chinaitop.depot.grainSituationCard.mapper.StorageWarterDetailedMapper;
import com.chinaitop.depot.grainSituationCard.model.StorageTempCard;
import com.chinaitop.depot.grainSituationCard.model.StorageWarterDetailed;
import com.chinaitop.depot.grainSituationCard.model.StorageWarterDetailedExample;
import com.chinaitop.depot.grainSituationCard.service.StorageWarterCardService;

/**
 * @author guishun.lian
 * @description:
 * @create 2020-07-15 10:43
 */
@Service
public class StorageWarterCardServiceImpl implements StorageWarterCardService {
    @Resource
    private StorageWarterDetailedMapper warterDetailedMapper;
    @Resource
    private StorageGrainCardService grainCardService;

    @Override
    public List<StorageWarterDetailed> findWarterCardList(String id, int orgId) {
        StorageWarterDetailedExample warterDetailedExample = new StorageWarterDetailedExample();
        StorageWarterDetailedExample.Criteria criteria = warterDetailedExample.createCriteria();
        criteria.andCardnumEqualTo(id);
        criteria.andOrgidEqualTo(orgId);
        warterDetailedExample.setOrderByClause(" hyDate asc ");
        return warterDetailedMapper.selectByExample(warterDetailedExample);
    }

    @Override
    public void saveWarterData(String addDcsls, String flagType, int orgId, String warterRemark) {
        List<StorageWarterDetailed> storageWarterDetailed = JSONArray.parseArray(addDcsls, StorageWarterDetailed.class);
        if ("2".equals(flagType)) { //保存:1,提交:2
            grainCardService.updateGainOilCardFlagType(storageWarterDetailed.get(0).getCardnum()); // 更新卡主表flag_type(保存:1,提交:2)
        }
        storageWarterDetailed.forEach(warterCard -> {
            if (warterCard.getHydate() != null) { // 排除不保存提交空数据
                if ("1".equals(flagType)) { //保存:1,提交:2
                    warterCard.setFlagtype(1);
                } else {
                    warterCard.setFlagtype(2);
                }
                // 组织编号
                warterCard.setOrgid(orgId);
                warterCard.setWarterremark(warterRemark);
                if (StringUtils.isBlank(warterCard.getId())) {
                    warterCard.setId(UuidUtils.getCode()); // 添加id
                    warterDetailedMapper.insert(warterCard); // 保存
                } else {
                    // 更新  //id不等于空的拿到id查数据库 如果标记位为2
                    StorageWarterDetailedExample warterDetailedExample = new StorageWarterDetailedExample();
                    StorageWarterDetailedExample.Criteria criteria = warterDetailedExample.createCriteria();
                    criteria.andIdEqualTo(warterCard.getId());
                    criteria.andOrgidEqualTo(orgId);
                    List<StorageWarterDetailed> torageWarterDetailed = warterDetailedMapper.selectByExample(warterDetailedExample);
                    for (StorageWarterDetailed orageWarterDetailed : torageWarterDetailed) {
                        int type = orageWarterDetailed.getFlagtype();
                        if (type == 2) {
                            warterCard.setFlagtype(2);
                            warterDetailedMapper.updateByPrimaryKeySelective(warterCard);
                        } else {
                            warterDetailedMapper.updateByPrimaryKeySelective(warterCard);
                        }
                    }
                }
            }
        });
    }

    @Override
    public void deleteWarterCardById(String warterDataId) {

        warterDetailedMapper.deleteByPrimaryKey(warterDataId);

    }
}
